# Copyright (C) 2004-2006 Free Software Foundation, Inc.
#
# This file is free software, distributed under the terms of the GNU
# General Public License.  As a special exception to the GNU General
# Public License, this file may be distributed as part of a program
# that contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the compiled summary of the specification in
# gnulib-cache.m4. It lists the computed macro invocations that need
# to be invoked from configure.ac.
# In projects using CVS, this file can be treated like other built files.


# This macro should be invoked from ./configure.ac, in the section
# "Checks for programs", right after AC_PROG_CC, and certainly before
# any checks for libraries, header files, types and library functions.
AC_DEFUN([gl_EARLY],
[
  m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
  m4_pattern_allow([^gl_ES$])dnl a valid locale name
  AC_REQUIRE([AC_PROG_RANLIB])
  AC_REQUIRE([AC_GNU_SOURCE])
  AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
])

# This macro should be invoked from ./configure.ac, in the section
# "Check for header files, types and library functions".
AC_DEFUN([gl_INIT],
[
  AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
  gl_cond_libtool=false
  gl_libdeps=
  gl_ltlibdeps=
  gl_source_base='lib'
  gl_FUNC_CHDIR_LONG
  gl_FUNC_CHOWN
  gl_CYCLE_CHECK
  gl_CHECK_TYPE_STRUCT_DIRENT_D_INO
  gl_FUNC_DIRFD
  gl_DIRNAME
  gl_ERROR
  gl_EXITFAIL
  dnl gl_USE_SYSTEM_EXTENSIONS must be added quite early to configure.ac.
  gl_FCNTL_H
  gl_FCNTL_SAFER
  gl_FUNC_FTS
  gl_FUNC_GETCWD
  gl_GETOPT
  gl_HASH
  gl_FUNC_LCHOWN
  gl_FUNC_LSTAT
  gl_FUNC_MEMPCPY
  gl_FUNC_MEMRCHR
  gl_FUNC_OPENAT
  gl_SAVE_CWD
  gl_STAT_MACROS
  AM_STDBOOL_H
  gl_STDINT_H
  gl_FUNC_STRNDUP
  gl_FUNC_STRNLEN
  gl_HEADER_UNISTD
  gl_UNISTD_SAFER
  gl_XALLOC
  gl_XGETCWD
  gl_XSTRNDUP
  LIBGNU_LIBDEPS="$gl_libdeps"
  AC_SUBST([LIBGNU_LIBDEPS])
  LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
  AC_SUBST([LIBGNU_LTLIBDEPS])
])

# This macro records the list of files which have been installed by
# gnulib-tool and may be removed by future gnulib-tool invocations.
AC_DEFUN([gl_FILE_LIST], [
  lib/at-func.c
  lib/basename.c
  lib/chdir-long.c
  lib/chdir-long.h
  lib/chown.c
  lib/creat-safer.c
  lib/cycle-check.c
  lib/cycle-check.h
  lib/dev-ino.h
  lib/dirfd.c
  lib/dirfd.h
  lib/dirname.c
  lib/dirname.h
  lib/dup-safer.c
  lib/error.c
  lib/error.h
  lib/exit.h
  lib/exitfail.c
  lib/exitfail.h
  lib/fchmodat.c
  lib/fchown-stub.c
  lib/fcntl--.h
  lib/fcntl-safer.h
  lib/fcntl_.h
  lib/fd-safer.c
  lib/fts-cycle.c
  lib/fts.c
  lib/fts_.h
  lib/getcwd.c
  lib/getcwd.h
  lib/getopt.c
  lib/getopt1.c
  lib/getopt_.h
  lib/getopt_int.h
  lib/gettext.h
  lib/hash.c
  lib/hash.h
  lib/intprops.h
  lib/lchown.c
  lib/lchown.h
  lib/lstat.c
  lib/lstat.h
  lib/mempcpy.c
  lib/mempcpy.h
  lib/memrchr.c
  lib/memrchr.h
  lib/mkdirat.c
  lib/open-safer.c
  lib/openat-die.c
  lib/openat-priv.h
  lib/openat-proc.c
  lib/openat.c
  lib/openat.h
  lib/pipe-safer.c
  lib/same-inode.h
  lib/save-cwd.c
  lib/save-cwd.h
  lib/stat-macros.h
  lib/stdbool_.h
  lib/stdint_.h
  lib/stripslash.c
  lib/strndup.c
  lib/strndup.h
  lib/strnlen.c
  lib/strnlen.h
  lib/unistd--.h
  lib/unistd-safer.h
  lib/xalloc-die.c
  lib/xalloc.h
  lib/xgetcwd.c
  lib/xgetcwd.h
  lib/xmalloc.c
  lib/xstrndup.c
  lib/xstrndup.h
  m4/absolute-header.m4
  m4/chdir-long.m4
  m4/chown.m4
  m4/cycle-check.m4
  m4/d-ino.m4
  m4/dirfd.m4
  m4/dirname.m4
  m4/dos.m4
  m4/double-slash-root.m4
  m4/error.m4
  m4/exitfail.m4
  m4/extensions.m4
  m4/fcntl-safer.m4
  m4/fcntl_h.m4
  m4/fts.m4
  m4/getcwd-abort-bug.m4
  m4/getcwd-path-max.m4
  m4/getcwd.m4
  m4/getopt.m4
  m4/hash.m4
  m4/lchown.m4
  m4/longlong.m4
  m4/lstat.m4
  m4/mempcpy.m4
  m4/memrchr.m4
  m4/onceonly_2_57.m4
  m4/openat.m4
  m4/save-cwd.m4
  m4/stat-macros.m4
  m4/stdbool.m4
  m4/stdint.m4
  m4/strndup.m4
  m4/strnlen.m4
  m4/unistd-safer.m4
  m4/unistd_h.m4
  m4/xalloc.m4
  m4/xgetcwd.m4
  m4/xstrndup.m4
])
